Bug 788500 - redis bundles jemalloc and hiredis and lua
Summary: redis bundles jemalloc and hiredis and lua
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: redis
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nathan Scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 894657 1123631 1123632 (view as bug list)
Depends On: 788517
Blocks: DuplicSysLibsTracker
TreeView+ depends on / blocked
 
Reported: 2012-02-08 10:30 UTC by Dan Horák
Modified: 2018-08-04 19:41 UTC (History)
6 users (show)

Fixed In Version: redis-3.2.11-1.fc27 redis-4.0.2-2.fc25 redis-3.2.12-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-28 04:11:05 UTC


Attachments (Terms of Use)
proposed fix (548 bytes, patch)
2012-02-08 11:11 UTC, Dan Horák
no flags Details | Diff

Description Dan Horák 2012-02-08 10:30:34 UTC
redis builds against bundled jemalloc and hiredis libraries when system copies should be used. See http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries for more information.

Comment 1 Dan Horák 2012-02-08 11:11:05 UTC
Created attachment 560227 [details]
proposed fix

Comment 2 Dan Horák 2013-01-02 21:22:09 UTC
and also lua is bundled

Comment 3 Michael S. 2013-01-12 22:58:58 UTC
*** Bug 894657 has been marked as a duplicate of this bug. ***

Comment 4 Fedora End Of Life 2013-04-03 17:34:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 5 Michael S. 2013-07-02 15:43:33 UTC
It also bundle linenoise, which is packaged.

Comment 6 Michael S. 2013-07-02 16:27:36 UTC
It seems that linenoise cannot be unbundled, because it use a different version from the one in Fedora, and porting redis to the fedora version imply to either export internal function, or to drop "clear" command from redis-cli.

Comment 7 Christopher Meng 2014-06-19 02:41:31 UTC
Status update: jemalloc is unbundled now.

linenoise can't be unbundled, it's a copylib IMO and being used by android also.

hiredis is another upstream project(C client), I don't understand why they make it static in the project, investigation needed.

Comment 8 Christopher Meng 2014-06-19 10:51:34 UTC
Lua could be granted an exception maybe, as the lua bundled in redis bundles following 3rd party lua modules:

    luaLoadLib(lua, "cjson", luaopen_cjson);
    luaLoadLib(lua, "struct", luaopen_struct);
    luaLoadLib(lua, "cmsgpack", luaopen_cmsgpack);

Comment 9 Remi Collet 2014-07-27 11:30:29 UTC
Please open FPC request for bundling exception.

Comment 10 Christopher Meng 2014-07-27 12:38:36 UTC
*** Bug 1123631 has been marked as a duplicate of this bug. ***

Comment 11 Christopher Meng 2014-07-27 12:39:29 UTC
*** Bug 1123632 has been marked as a duplicate of this bug. ***

Comment 12 Nathan Scott 2017-09-06 07:22:08 UTC
> hiredis is another upstream project(C client), I don't understand why they make > it static in the project, investigation needed.

FWIW, Remi offered this explanation to this when I recently asked ...

        hiredis 0.13 is very old, but is also the official "stable" release of
        the client library.

        Redis use a more recent version, but not yet released.

        As Redis is also upstream is for hiredis, I think this is totally fine
        to use the bundled version.

Looking at hiredis upstream github, it's been ~2 years since last release so I tend to agree with this assessment.

As mentioned earlier, the jemalloc bundling has long been removed.

I'll add these lines to the next redis build, as suggested by Remi and Haïkel:
Provides:          bundled(hiredis)
Provides:          bundled(lua-libs)
Provides:          bundled(linenoise)

Comment 13 Fedora Update System 2017-09-27 01:03:08 UTC
redis-3.2.11-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6d0c7eb24e

Comment 14 Fedora Update System 2017-09-27 01:04:45 UTC
redis-3.2.11-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a2c6d143e8

Comment 15 Fedora Update System 2017-09-27 01:05:17 UTC
redis-3.2.11-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2735f42785

Comment 16 Fedora Update System 2017-09-27 15:53:45 UTC
redis-3.2.11-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6d0c7eb24e

Comment 17 Fedora Update System 2017-09-29 00:20:44 UTC
redis-3.2.11-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2735f42785

Comment 18 Fedora Update System 2017-09-29 01:50:50 UTC
redis-3.2.11-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a2c6d143e8

Comment 19 Fedora Update System 2017-10-01 18:18:37 UTC
redis-3.2.11-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2017-11-17 06:51:01 UTC
redis-4.0.2-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-343c274808

Comment 21 Fedora Update System 2017-11-17 23:35:40 UTC
redis-4.0.2-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-343c274808

Comment 22 Fedora Update System 2017-11-28 04:11:05 UTC
redis-4.0.2-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2018-07-20 07:49:04 UTC
redis-3.2.12-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-8de40d24ca

Comment 24 Fedora Update System 2018-07-20 17:19:48 UTC
redis-3.2.12-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-8de40d24ca

Comment 25 Fedora Update System 2018-08-04 19:41:33 UTC
redis-3.2.12-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.